Index: databases/p5-SQL-Translator/Makefile
===================================================================
RCS file: /cvs/ports/databases/p5-SQL-Translator/Makefile,v
retrieving revision 1.13
diff -u -p -u -r1.13 Makefile
--- databases/p5-SQL-Translator/Makefile	11 Mar 2013 20:59:05 -0000	1.13
+++ databases/p5-SQL-Translator/Makefile	2 May 2014 16:15:06 -0000
@@ -1,38 +1,40 @@
 # $OpenBSD: Makefile,v 1.13 2013/03/11 20:59:05 sthen Exp $
 
-COMMENT=	database schema manipulation
+COMMENT =	database schema manipulation
 
-DISTNAME=	SQL-Translator-0.11007
-REVISION=	1
-CATEGORIES=	databases devel
-MODULES=	cpan
+DISTNAME =	SQL-Translator-0.11018
+CATEGORIES =	databases devel
+MODULES =	cpan
 
-HOMEPAGE=	http://sqlfairy.sourceforge.net/
+HOMEPAGE =	http://sqlfairy.sourceforge.net/
 
-# perl
-PERMIT_PACKAGE_CDROM=	Yes
+MAINTAINER = Andrew Fresh <andrew@cpan.org>
 
-RUN_DEPENDS=	databases/p5-DBI \
+# perl_5
+PERMIT_PACKAGE_CDROM =	Yes
+
+CONFIGURE_ARGS +=	--skipdeps
+
+RUN_DEPENDS =	databases/p5-DBI>=1.54 \
 		devel/p5-Carp-Clan \
-		devel/p5-Class-Accessor \
-		devel/p5-Class-Base \
-		devel/p5-Class-MakeMethods \
-		devel/p5-IO-stringy>=2.110 \
-		devel/p5-Parse-RecDescent \
-		devel/p5-Class-Data-Inheritable \
-		devel/p5-File-ShareDir \
-		devel/p5-Log-Log4perl \
-		devel/p5-Parse-RecDescent>=1.962002 \
+		devel/p5-File-ShareDir>=1.0 \
+		devel/p5-List-MoreUtils>=0.09 \
+		devel/p5-Moo>=1.000003 \
+		devel/p5-Package-Variant>=1.001001 \
+		devel/p5-Parse-RecDescent>=1.967009 \
+		devel/p5-Try-Tiny>=0.04
+
+TEST_DEPENDS =	converters/p5-JSON>=2.0 \
 		devel/p5-Test-Differences \
-		devel/p5-Test-Exception \
+		devel/p5-Test-Exception>=0.31 \
 		devel/p5-YAML>=0.66 \
-		security/p5-Digest-SHA1>=2 \
-		textproc/p5-Template \
-		textproc/p5-XML-Writer>=0.5
+		textproc/p5-XML-Writer>=0.500
 
-BUILD_DEPENDS=	${RUN_DEPENDS}
-TEST_DEPENDS=devel/p5-Graph \
+# optional depends to avoid skipping tests
+TEST_DEPENDS +=	devel/p5-Graph \
+		graphics/p5-GD \
 		misc/p5-Spreadsheet-ParseExcel \
+		textproc/p5-Template \
 		textproc/p5-Text-RecordParser \
 		textproc/p5-XML-LibXML
 
Index: databases/p5-SQL-Translator/distinfo
===================================================================
RCS file: /cvs/ports/databases/p5-SQL-Translator/distinfo,v
retrieving revision 1.5
diff -u -p -u -r1.5 distinfo
--- databases/p5-SQL-Translator/distinfo	10 Mar 2011 22:52:51 -0000	1.5
+++ databases/p5-SQL-Translator/distinfo	2 May 2014 16:15:06 -0000
@@ -1,5 +1,2 @@
-MD5 (SQL-Translator-0.11007.tar.gz) = O7xQT+HlneOLjLtYwvEdYQ==
-RMD160 (SQL-Translator-0.11007.tar.gz) = QI5vybTx/hKOcsk690llcNUK0oA=
-SHA1 (SQL-Translator-0.11007.tar.gz) = uhNubng5rjrPNgfkbR41LK6Dfto=
-SHA256 (SQL-Translator-0.11007.tar.gz) = 5EY0jvFtTtWJBoHZ0rk0wvuybJoj1/PN/IEjRo1zYN4=
-SIZE (SQL-Translator-0.11007.tar.gz) = 411589
+SHA256 (SQL-Translator-0.11018.tar.gz) = 8WpYmdscftnax96iehY7BR1zHdtAb9vXVX1kZ3hqF/8=
+SIZE (SQL-Translator-0.11018.tar.gz) = 427483
Index: databases/p5-SQL-Translator/pkg/PLIST
===================================================================
RCS file: /cvs/ports/databases/p5-SQL-Translator/pkg/PLIST,v
retrieving revision 1.4
diff -u -p -u -r1.4 PLIST
--- databases/p5-SQL-Translator/pkg/PLIST	10 Mar 2011 22:52:51 -0000	1.4
+++ databases/p5-SQL-Translator/pkg/PLIST	2 May 2014 16:15:06 -0000
@@ -1,11 +1,10 @@
-@comment $OpenBSD: PLIST,v 1.4 2011/03/10 22:52:51 sthen Exp $
+@comment $OpenBSD$
 bin/sqlt
 bin/sqlt-diagram
 bin/sqlt-diff
 bin/sqlt-diff-old
 bin/sqlt-dumper
 bin/sqlt-graph
-${P5SITE}/SQL/
 ${P5SITE}/SQL/Translator/
 ${P5SITE}/SQL/Translator.pm
 ${P5SITE}/SQL/Translator/Diff.pm
@@ -13,6 +12,14 @@ ${P5SITE}/SQL/Translator/Filter/
 ${P5SITE}/SQL/Translator/Filter/DefaultExtra.pm
 ${P5SITE}/SQL/Translator/Filter/Globals.pm
 ${P5SITE}/SQL/Translator/Filter/Names.pm
+${P5SITE}/SQL/Translator/Generator/
+${P5SITE}/SQL/Translator/Generator/DDL/
+${P5SITE}/SQL/Translator/Generator/DDL/PostgreSQL.pm
+${P5SITE}/SQL/Translator/Generator/DDL/SQLServer.pm
+${P5SITE}/SQL/Translator/Generator/DDL/SQLite.pm
+${P5SITE}/SQL/Translator/Generator/Role/
+${P5SITE}/SQL/Translator/Generator/Role/DDL.pm
+${P5SITE}/SQL/Translator/Generator/Role/Quote.pm
 ${P5SITE}/SQL/Translator/Manual.pod
 ${P5SITE}/SQL/Translator/Parser/
 ${P5SITE}/SQL/Translator/Parser.pm
@@ -30,6 +37,7 @@ ${P5SITE}/SQL/Translator/Parser/DBI/SQLS
 ${P5SITE}/SQL/Translator/Parser/DBI/SQLite.pm
 ${P5SITE}/SQL/Translator/Parser/DBI/Sybase.pm
 ${P5SITE}/SQL/Translator/Parser/Excel.pm
+${P5SITE}/SQL/Translator/Parser/JSON.pm
 ${P5SITE}/SQL/Translator/Parser/MySQL.pm
 ${P5SITE}/SQL/Translator/Parser/Oracle.pm
 ${P5SITE}/SQL/Translator/Parser/PostgreSQL.pm
@@ -51,6 +59,7 @@ ${P5SITE}/SQL/Translator/Producer/Diagra
 ${P5SITE}/SQL/Translator/Producer/Dumper.pm
 ${P5SITE}/SQL/Translator/Producer/GraphViz.pm
 ${P5SITE}/SQL/Translator/Producer/HTML.pm
+${P5SITE}/SQL/Translator/Producer/JSON.pm
 ${P5SITE}/SQL/Translator/Producer/Latex.pm
 ${P5SITE}/SQL/Translator/Producer/MySQL.pm
 ${P5SITE}/SQL/Translator/Producer/Oracle.pm
@@ -68,24 +77,26 @@ ${P5SITE}/SQL/Translator/Producer/XML/
 ${P5SITE}/SQL/Translator/Producer/XML.pm
 ${P5SITE}/SQL/Translator/Producer/XML/SQLFairy.pm
 ${P5SITE}/SQL/Translator/Producer/YAML.pm
+${P5SITE}/SQL/Translator/Role/
+${P5SITE}/SQL/Translator/Role/BuildArgs.pm
+${P5SITE}/SQL/Translator/Role/Debug.pm
+${P5SITE}/SQL/Translator/Role/Error.pm
+${P5SITE}/SQL/Translator/Role/ListAttr.pm
 ${P5SITE}/SQL/Translator/Schema/
 ${P5SITE}/SQL/Translator/Schema.pm
 ${P5SITE}/SQL/Translator/Schema/Constants.pm
 ${P5SITE}/SQL/Translator/Schema/Constraint.pm
 ${P5SITE}/SQL/Translator/Schema/Field.pm
-${P5SITE}/SQL/Translator/Schema/Graph/
-${P5SITE}/SQL/Translator/Schema/Graph.pm
-${P5SITE}/SQL/Translator/Schema/Graph/CompoundEdge.pm
-${P5SITE}/SQL/Translator/Schema/Graph/Edge.pm
-${P5SITE}/SQL/Translator/Schema/Graph/HyperEdge.pm
-${P5SITE}/SQL/Translator/Schema/Graph/Node.pm
-${P5SITE}/SQL/Translator/Schema/Graph/Port.pm
 ${P5SITE}/SQL/Translator/Schema/Index.pm
 ${P5SITE}/SQL/Translator/Schema/Object.pm
 ${P5SITE}/SQL/Translator/Schema/Procedure.pm
+${P5SITE}/SQL/Translator/Schema/Role/
+${P5SITE}/SQL/Translator/Schema/Role/Compare.pm
+${P5SITE}/SQL/Translator/Schema/Role/Extra.pm
 ${P5SITE}/SQL/Translator/Schema/Table.pm
 ${P5SITE}/SQL/Translator/Schema/Trigger.pm
 ${P5SITE}/SQL/Translator/Schema/View.pm
+${P5SITE}/SQL/Translator/Types.pm
 ${P5SITE}/SQL/Translator/Utils.pm
 ${P5SITE}/Test/SQL/
 ${P5SITE}/Test/SQL/Translator.pm
@@ -99,8 +110,12 @@ ${P5SITE}/auto/share/dist/SQL-Translator
 ${P5SITE}/auto/share/dist/SQL-Translator/DiaUml/uml-class-end.tt2
 ${P5SITE}/auto/share/dist/SQL-Translator/DiaUml/uml-class-start.tt2
 ${P5SITE}/auto/share/dist/SQL-Translator/DiaUml/uml-class.tt2
-${P5SITE}/auto/share/dist/SQL-Translator/Grammar/
-${P5SITE}/auto/share/dist/SQL-Translator/Grammar/DB2.gra
+${P5SITE}/auto/share/dist/SQL-Translator/PrecompiledParsers/
+${P5SITE}/auto/share/dist/SQL-Translator/PrecompiledParsers/Parse/
+${P5SITE}/auto/share/dist/SQL-Translator/PrecompiledParsers/Parse/RecDescent/
+${P5SITE}/auto/share/dist/SQL-Translator/PrecompiledParsers/Parse/RecDescent/DDL/
+${P5SITE}/auto/share/dist/SQL-Translator/PrecompiledParsers/Parse/RecDescent/DDL/SQLT/
+${P5SITE}/auto/share/dist/SQL-Translator/PrecompiledParsers/Parse/RecDescent/DDL/SQLT/README
 @man man/man1/sqlt-diagram.1
 @man man/man1/sqlt-diff-old.1
 @man man/man1/sqlt-diff.1
@@ -112,9 +127,15 @@ ${P5SITE}/auto/share/dist/SQL-Translator
 @man man/man3p/SQL::Translator::Filter::DefaultExtra.3p
 @man man/man3p/SQL::Translator::Filter::Globals.3p
 @man man/man3p/SQL::Translator::Filter::Names.3p
+@man man/man3p/SQL::Translator::Generator::DDL::PostgreSQL.3p
+@man man/man3p/SQL::Translator::Generator::DDL::SQLServer.3p
+@man man/man3p/SQL::Translator::Generator::DDL::SQLite.3p
+@man man/man3p/SQL::Translator::Generator::Role::DDL.3p
+@man man/man3p/SQL::Translator::Generator::Role::Quote.3p
 @man man/man3p/SQL::Translator::Manual.3p
 @man man/man3p/SQL::Translator::Parser.3p
 @man man/man3p/SQL::Translator::Parser::Access.3p
+@man man/man3p/SQL::Translator::Parser::DB2.3p
 @man man/man3p/SQL::Translator::Parser::DBI.3p
 @man man/man3p/SQL::Translator::Parser::DBI::DB2.3p
 @man man/man3p/SQL::Translator::Parser::DBI::MySQL.3p
@@ -124,6 +145,7 @@ ${P5SITE}/auto/share/dist/SQL-Translator
 @man man/man3p/SQL::Translator::Parser::DBI::SQLite.3p
 @man man/man3p/SQL::Translator::Parser::DBI::Sybase.3p
 @man man/man3p/SQL::Translator::Parser::Excel.3p
+@man man/man3p/SQL::Translator::Parser::JSON.3p
 @man man/man3p/SQL::Translator::Parser::MySQL.3p
 @man man/man3p/SQL::Translator::Parser::Oracle.3p
 @man man/man3p/SQL::Translator::Parser::PostgreSQL.3p
@@ -143,6 +165,7 @@ ${P5SITE}/auto/share/dist/SQL-Translator
 @man man/man3p/SQL::Translator::Producer::Dumper.3p
 @man man/man3p/SQL::Translator::Producer::GraphViz.3p
 @man man/man3p/SQL::Translator::Producer::HTML.3p
+@man man/man3p/SQL::Translator::Producer::JSON.3p
 @man man/man3p/SQL::Translator::Producer::Latex.3p
 @man man/man3p/SQL::Translator::Producer::MySQL.3p
 @man man/man3p/SQL::Translator::Producer::Oracle.3p
@@ -158,6 +181,9 @@ ${P5SITE}/auto/share/dist/SQL-Translator
 @man man/man3p/SQL::Translator::Producer::XML.3p
 @man man/man3p/SQL::Translator::Producer::XML::SQLFairy.3p
 @man man/man3p/SQL::Translator::Producer::YAML.3p
+@man man/man3p/SQL::Translator::Role::BuildArgs.3p
+@man man/man3p/SQL::Translator::Role::Error.3p
+@man man/man3p/SQL::Translator::Role::ListAttr.3p
 @man man/man3p/SQL::Translator::Schema.3p
 @man man/man3p/SQL::Translator::Schema::Constants.3p
 @man man/man3p/SQL::Translator::Schema::Constraint.3p
@@ -165,8 +191,11 @@ ${P5SITE}/auto/share/dist/SQL-Translator
 @man man/man3p/SQL::Translator::Schema::Index.3p
 @man man/man3p/SQL::Translator::Schema::Object.3p
 @man man/man3p/SQL::Translator::Schema::Procedure.3p
+@man man/man3p/SQL::Translator::Schema::Role::Compare.3p
+@man man/man3p/SQL::Translator::Schema::Role::Extra.3p
 @man man/man3p/SQL::Translator::Schema::Table.3p
 @man man/man3p/SQL::Translator::Schema::Trigger.3p
 @man man/man3p/SQL::Translator::Schema::View.3p
+@man man/man3p/SQL::Translator::Types.3p
 @man man/man3p/SQL::Translator::Utils.3p
 @man man/man3p/Test::SQL::Translator.3p
